# LiteXiv

A free frontend for pixiv that provides a simple yet sufficient user interface for browsing illustrations and mangas.

## Features

- Simple and lightweight interface;
- No JavaScript required;
- Hide R-15 / R-18 / R-18G / AI-generated artworks;
- Instance owner can force NSFW off.

## Installation

Read [INSTALL.md](INSTALL.md) for installation guide.

To update LiteXiv, `cd` into the codebase and `git pull`. Before updating, you should read the instructions accompanied with each [release](https://codeberg.org/Peaksol/LiteXiv/releases) notice (if any).

## Instances

| Address | Cloudflare? | Notes |
| - | - | - |
| https://litexiv.exozy.me/ | No | Official instance |
| https://litexiv.qunn.link/ | No | |

## See Also

You should also check out VnPower's [PixivFE](https://codeberg.org/VnPower/pixivfe)! It is a modern-looking frontend that provides many more features than LiteXiv.

This project was greatly inspired by [freexiv](https://codeberg.org/PrivacyDev/freexiv) and [vixip](https://gitler.moe/suwako/vixip.git). Also worthy a look!

[LiteXiv Profile](https://codeberg.org/Peaksol/LiteXiv-Profile) is a seperate program for managing your pixiv bookmarks. It is intended to work with LiteXiv.

## License

This program is licensed under the GNU Affero General Public License, version 3. Check [LICENSE](LICENSE) or [gnu.org](https://www.gnu.org/licenses/agpl-3.0.html) for a copy of the license.
